Home | All Classes | Grouped Classes | Index | Search

# Class CL_DeviceContextBuffer

Win32 Device Context pixelbuffer. More...

Derived from: CL_PixelBuffer
Derived by: none
Group: Display (Surface Providers)

#include <ClanLib/display.h>

Construction:

CL_DeviceContextBuffer | Construct a pixelbuffer using the pixel format of the passed device context.

Attributes:

get_dc | Returns device context of pixelbuffer.

Detailed description:

!group=Display/Surface Providers! !header=display.h!

This is class is not crossplatform. It allows win32 applications to paint to a pixelbuffer using device context system calls.

Questions or comments, write to the ClanLib mailing list.